Commit 4f6159aa authored by Leo's avatar Leo

community/pwclient: fix license, move py3-br to makedepends

also remove unnecessary makedepends
parent f8b73a3a
Pipeline #73970 passed with stages
in 1 minute and 8 seconds
......@@ -2,18 +2,17 @@
# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
pkgname=pwclient
pkgver=1.3.0
pkgrel=0
pkgrel=1
pkgdesc="The command-line client for the patchwork patch tracking tool"
url="https://github.com/getpatchwork/pwclient"
arch="noarch"
license="GPL-2.0"
depends="python3 py3-pbr"
makedepends="py3-setuptools py3-pip py3-wheel"
license="GPL-2.0-or-later"
depends="python3"
makedepends="py3-setuptools py3-pbr"
checkdepends="py3-pytest py3-pytest-cov py3-mock"
subpackages="$pkgname-doc"
subpackages="$pkgname-doc"
source="$pkgname-$pkgver.tar.gz::https://github.com/getpatchwork/pwclient/archive/$pkgver.tar.gz"
builddir="$srcdir/$pkgname-$pkgver"
build() {
python3 setup.py build
......@@ -25,7 +24,7 @@ check() {
package() {
python3 setup.py install --prefix=/usr --root="$pkgdir"
mkdir -p "$pkgdir/usr/share/man/man1"
install -Dm644 man/pwclient.1 "$pkgdir/usr/share/man/man1/"
}
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment